Package com.io7m.coffeepick.api

# Enum CoffeePickInventoryType.UnpackOption

java.lang.Object
java.lang.Enum<CoffeePickInventoryType.UnpackOption>
com.io7m.coffeepick.api.CoffeePickInventoryType.UnpackOption

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<CoffeePickInventoryType.UnpackOption>`, `java.lang.constant.Constable`

Enclosing interface:
  CoffeePickInventoryType

    public static enum CoffeePickInventoryType.UnpackOption
    extends java.lang.Enum<CoffeePickInventoryType.UnpackOption>

Options for unpacking.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `java.lang.Enum.EnumDesc<E extends java.lang.Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant | Description
  --- | ---
  `STRIP_LEADING_DIRECTORY` | Strip the leading directory from archive files.
  `STRIP_NON_OWNER_WRITABLE` | On POSIX filesystems, remove write permissions for anything other than the owner.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `static CoffeePickInventoryType.UnpackOption` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
  `static CoffeePickInventoryType.UnpackOption[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### STRIP_LEADING_DIRECTORY

    public static final CoffeePickInventoryType.UnpackOption STRIP_LEADING_DIRECTORY
    Strip the leading directory from archive files.

  - ### STRIP_NON_OWNER_WRITABLE

    public static final CoffeePickInventoryType.UnpackOption STRIP_NON_OWNER_WRITABLE
    On POSIX filesystems, remove write permissions for anything other than the owner.

- ## Method Details

  - ### values

    public static CoffeePickInventoryType.UnpackOption[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static CoffeePickInventoryType.UnpackOption valueOf​(java.lang.String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
      `java.lang.NullPointerException` - if the argument is null